/*
  * The osipua library is a library based on oSIP that implements CallLeg and User Agent
  * level.
  * Copyright (C) 2001  Simon MORLAT simon.morlat@free.fr
  * Aymeric MOIZARD jack@atosc.org
  *
  * Copyright (C) 2003 Hewlett-Packard Company
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or (at your option) any later version.
  * 
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  * 
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
#ifndef CPIMHANDLER_H
#define CPIMHANDLER_H

#include "osipua.h"

struct _CpimHandler;
	
typedef struct _CpimPayload
{
	int unused;
} CpimPayload;

struct _CpimHandler
{
	BodyHandler parent;
};



typedef struct _CpimHandler CpimHandler;

struct _CpimHandlerClass
{
	BodyHandlerClass parent_class;
};

typedef struct _CpimHandlerClass CpimHandlerClass;

#include "cpimcontext.h"

void cpim_handler_init (CpimHandler * obj);
void cpim_handler_class_init (CpimHandlerClass * klass, char *mimetype);

BodyHandler *cpim_handler_new (char *mimetype);

#define CPIM_HANDLER(obj)	((CpimHandler*)(obj))

/* INTERNAL USE*/
#endif
